#!/usr/bin/env node
const commander = require('commander');
const pkg = require('../package.json');
const utils = require('../lib/src/utils');
commander.version(pkg.version, '-v, --version');

commander
    .option('-m, --mock', 'mock api')
    .command('start')
    .description('run project')
    .action(() => utils.requireModule('../lib/script/start')(commander.opts()));

commander
    .command('build')
    .description('build project')
    .action(() => utils.requireModule('../lib/script/build')());

commander
    .command('test')
    .description('test project')
    .action(() => utils.requireModule('../lib/script/test')(commander.args));

commander.parse(process.argv);
