#!/usr/bin/env node
"use strict";
var commander = require('commander');
var pkg = require('../package.json');
var utils = require('../lib/src/utils');
commander.version(pkg.version, '-v, --version');
commander
    .option('-m, --mock', 'mock api')
    .command('start')
    .description('run project')
    .action(function () { return utils.requireModule('../lib/script/start')(commander.opts()); });
commander
    .command('build')
    .description('build project')
    .action(function () { return utils.requireModule('../lib/script/build')(); });
commander
    .command('test')
    .description('test project')
    .action(function () { return utils.requireModule('../lib/script/test')(commander.args); });
commander.parse(process.argv);
